package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdTables;
import com.qsoft.rs.sincoar.dto.MdTablesDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdTablesMapper {

    MdTablesMapper INSTANCE = Mappers.getMapper(MdTablesMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")

    MdTables getEntidad(MdTablesDTO mdTables);

    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdTablesDTO getDto(MdTables mdTables);

}